> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update variant prices

> Updates existing variant prices in bulk with partial data. Accepts up to 100 price items to update specific fields such as amount, sale price, reference price, status, and sale date ranges. Only provided fields will be updated.



## OpenAPI

````yaml /swagger/management-api.json patch /api/v1/{team_slug}/{app_slug}/variants/prices/bulk
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Public API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //api.enad.io
security: []
paths:
  /api/v1/{team_slug}/{app_slug}/variants/prices/bulk:
    patch:
      tags:
        - Variants
        - Bulk
      summary: Bulk update variant prices
      description: >-
        Updates existing variant prices in bulk with partial data. Accepts up to
        100 price items to update specific fields such as amount, sale price,
        reference price, status, and sale date ranges. Only provided fields will
        be updated.
      parameters:
        - description: App slug
          in: path
          name: app_slug
          required: true
          schema:
            type: string
        - description: Team slug
          in: path
          name: team_slug
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/internal_pkg_webserver_v1.BulkPatchPricesPayload
        description: Prices data
        required: true
      responses:
        '200':
          description: Prices updated successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_pkg_webserver_v1.OkResponseBulkPatchPrices
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_pkg_webserver_v1.ErrorMessage'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_pkg_webserver_v1.BulkPatchPricesPayload:
      properties:
        prices:
          items:
            $ref: '#/components/schemas/internal_pkg_webserver_v1.BulkPatchPriceItem'
          maxItems: 50
          type: array
      required:
        - prices
      type: object
    internal_pkg_webserver_v1.OkResponseBulkPatchPrices:
      properties:
        data:
          $ref: >-
            #/components/schemas/internal_pkg_webserver_v1.BulkPatchPricesResponse
        details:
          description: >-
            Additional contextual information about the response. Used to
            provide supplementary details beyond the main data payload, such as
            validation warnings or processing notes
          items:
            type: string
          type: array
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object
    internal_pkg_webserver_v1.BulkPatchPriceItem:
      properties:
        amount_cents_with_tax:
          minimum: 0
          type: integer
        id:
          type: string
        on_sale:
          type: boolean
        reference_price_with_tax:
          minimum: 0
          type: integer
        sale_end_timestamp:
          type: string
        sale_price_with_tax:
          minimum: 0
          type: integer
        sale_start_timestamp:
          type: string
        status:
          allOf:
            - $ref: >-
                #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
          enum:
            - active
            - inactive
            - draft
      required:
        - id
      type: object
    internal_pkg_webserver_v1.BulkPatchPricesResponse:
      properties:
        failed:
          items:
            $ref: >-
              #/components/schemas/internal_pkg_webserver_v1.BulkPatchFailedUpdate
          type: array
        successful:
          items:
            $ref: >-
              #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroup
          type: array
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus:
      enum:
        - active
        - inactive
        - draft
      type: string
      x-enum-varnames:
        - ActivePrice
        - InActivePrice
        - DraftPrice
    internal_pkg_webserver_v1.BulkPatchFailedUpdate:
      properties:
        id:
          type: string
        reason:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.ProductVariantPriceWithStoreGroup:
      properties:
        amount_cents_with_tax:
          type: integer
        created_at:
          type: string
        id:
          type: string
        market:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
        on_sale:
          type: boolean
        reference_price_with_tax:
          type: integer
        sale_end_timestamp:
          type: string
        sale_price_with_tax:
          type: integer
        sale_start_timestamp:
          type: string
        status:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.PriceStatus
        store_group:
          $ref: >-
            #/components/schemas/github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroup
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.Market:
      properties:
        active:
          type: boolean
        country_codes:
          items:
            type: string
          type: array
        created_at:
          type: string
        currency_code:
          type: string
        id:
          type: string
        locale:
          type: string
        name:
          type: string
        slug:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_nabbit_internal_pkg_webserver_models.StoreGroup:
      properties:
        country_of_sale:
          type: string
        created_at:
          type: string
        description:
          type: string
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        store_type:
          type: string
        updated_at:
          type: string
      type: object

````